One Star

TLS 1.0 has been disabled in this organization errror in salesforce

Hi,
I have created a salesforce metadata connection in talend and which was working fine till now.
now suddenly we started getting UNSUPPORTED CLIENT error.
"UNSUPPORTED_CLIENT: TLS 1.0 has been disabled in this organization. Please use TLS 1.1 or higher when connecting to Salesforce using https."
I checked in the "Critical Update" section and "To HTTPS connection or later required TLS 1.1"  is disabled already then how come I am also getting this error.

But if I remove the tSalesforceconnection component and directly use tsalesforceinput component the error is different :-
"Login failed! Please check the username,password and endpoint" 
I checked user name and password is correct.
Somewhere I saw to use Proxy server but no idea how to use this, How can I resolve this issue ?
7 REPLIES
Employee

Re: TLS 1.0 has been disabled in this organization errror in salesforce

TOS versions 6.0 and later and 5.6.3 have addressed this change over at salesforce. Which TOS version are you using?
Thomas Steinborn
VP Product Management
One Star

Re: TLS 1.0 has been disabled in this organization errror in salesforce

I am using talend for big data 5.5.1 version with Java(1.7).
Employee

Re: TLS 1.0 has been disabled in this organization errror in salesforce

you would have to migrate to the later versions where we fixed that incompatibility.
Thomas Steinborn
VP Product Management
One Star

Re: TLS 1.0 has been disabled in this organization errror in salesforce

Hi
I am already using TOS Version: 6.0.0 from long. 
jdk1.7.0_79.jdk
Our SF production is on TLS 1.0 all works fine, but Sandbox has been updated and i get this error on Sandbox.

UNSUPPORTED_CLIENT: TLS 1.0 has been disabled in this organization. Please use TLS 1.1 or higher when connecting to Salesforce using https
Can you please guide
One Star

Re: TLS 1.0 has been disabled in this organization errror in salesforce

I am Using TOS DI ver 6.1.1 
Production ORG is still not upgraded, it's on TLS 1.0
Sandbox ORG is TLS 1.1
Laptop: I have latest Dataloader Installed
Remote Desktop has older version of Dataloader installed.
My Job executes perfectly fine on my Laptop but it fails on Remote Desktop with the same error "TLS 1.0 has been disabled in your org......".
Can some one advice if installing the latest Dataloader will resolve this issue on my Remote Desktop.....
Five Stars

Re: TLS 1.0 has been disabled in this organization errror in salesforce

"I am already using TOS Version: 6.0.0 from long. 
jdk1.7.0_79.jdk"
You need Java 8.
One Star

Re: TLS 1.0 has been disabled in this organization errror in salesforce

Thanks tal00000